ServerEvents.recipes(event => {
    event.remove({output: 'create_enchantment_industry:disenchanter'});
    event.remove({output: 'create_enchantment_industry:printer'});

    event.recipes.ars_nouveau.enchanting_apparatus(
        [
            'create:item_drain',
            '#kubejs:grist/intelligent/improved'
        ],
        'create_enchantment_industry:disenchanter'
    );

    event.recipes.ars_nouveau.enchanting_apparatus(
        [
            '#kubejs:grist/intelligent/improved',
            '#kubejs:grist/build/improved'
        ],
        'create:item_drain',
        'create_enchantment_industry:disenchanter',
        2000
    );

    event.recipes.ars_nouveau.enchanting_apparatus(
        [
            '#kubejs:grist/intelligent/improved',
            '#kubejs:grist/build/improved',
            'minecraft:book',
            'minecraft:book'
        ],
        'create:spout',
        'create_enchantment_industry:printer',
        2000
    );
});